ISCacheRegistry
Date: 2014-11-12

org.gcube.informationsystem.cache

## Class ISCacheRegistry

- java.lang.Object
- - org.gcube.informationsystem.cache.ISCacheRegistry

- All Implemented Interfaces:
    ISCacheRegistryMBean

      public class ISCacheRegistry
      extends java.lang.Object
      implements ISCacheRegistryMBean

  Author:
    paul

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISCacheRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addManager(java.lang.String scope)` Add new Cache manager for the given scope
    `boolean` | `delManager(GCUBEScope scope)` Delete the Cache manager for the given scope
    `boolean` | `delManager(java.lang.String scope)` Delete the Cache manager for the given scope
    `ISCacheManager` | `getManager(java.lang.String scope)` Get `ISCacheManager` instance for the given scope

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ISCacheRegistry

          public ISCacheRegistry()

  - ### Method Detail

    - #### addManager

          public boolean addManager(java.lang.String scope)
                             throws java.lang.Exception

      Add new Cache manager for the given scope
      Specified by:
        `addManager` in interface `ISCacheRegistryMBean`
      Parameters:
        `scope` - scope
      Returns:
        true if the manager does not already exist
      Throws:
        `java.lang.Exception` - in case of error
      See Also:
        `org.gcube.informationsystem.cache.ISCacheRegistryMBean#addManager(org.gcube.common.core.scope.GCUBEScope)`

    - #### getManager

          public ISCacheManager getManager(java.lang.String scope)
                                    throws java.lang.Exception

      Get `ISCacheManager` instance for the given scope
      Parameters:
        `scope` - scope
      Returns:
        `ISCacheManager` instance for the given scope
      Throws:
        `java.lang.Exception` - in case of error
      See Also:
        `org.gcube.informationsystem.cache.ISCacheRegistryMBean#delManager(org.gcube.common.core.scope.GCUBEScope)`

    - #### delManager

          public boolean delManager(java.lang.String scope)
                             throws java.lang.Exception

      Delete the Cache manager for the given scope
      Specified by:
        `delManager` in interface `ISCacheRegistryMBean`
      Parameters:
        `scope` - scope
      Returns:
        true if the manager existed
      Throws:
        `java.lang.Exception` - in case of error

    - #### delManager

          public boolean delManager(GCUBEScope scope)
                             throws java.lang.Exception

      Delete the Cache manager for the given scope
      Specified by:
        `delManager` in interface `ISCacheRegistryMBean`
      Parameters:
        `scope` - scope
      Returns:
        true if the manager existed
      Throws:
        `java.lang.Exception` - in case of error